Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class ProprietaryDate2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.ProprietaryDate2

public class ProprietaryDate2 extends Object

Java class for ProprietaryDate2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProprietaryDate2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}DateAndDateTimeChoice"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DateAndDateTimeChoice`
`dt`
`protected String`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`ProprietaryDate2()`

## Method Summary

Modifier and Type
Method
Description
`DateAndDateTimeChoice`
`getDt()`
Gets the value of the dt property.
`String`
`getTp()`
Gets the value of the tp property.
`void`
`setDt(DateAndDateTimeChoice value)`
Sets the value of the dt property.
`void`
`setTp(String value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected String tp

### dt

protected DateAndDateTimeChoice dt

## Constructor Details

### ProprietaryDate2

public ProprietaryDate2()

## Method Details

### getTp

public String getTp()
Gets the value of the tp property.

Returns:
  possible object is `String`

### setTp

public void setTp(String value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

### getDt

public DateAndDateTimeChoice getDt()
Gets the value of the dt property.

Returns:
  possible object is `DateAndDateTimeChoice`

### setDt

public void setDt(DateAndDateTimeChoice value)
Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DateAndDateTimeChoice`